%define release_tag 1.2
%define release_stamp 11.g14697b5
%def_with elcore50_toolchain

%set_findreq_skiplist %_includedir/*

Name: elcorecl
Version: %release_tag
Release: %release_stamp.elv.alt1

Summary: ElcoreCL library
License: GPL-2.0
Group: Development/Other

BuildRequires(pre): rpm-macros-cmake rpm-build-python3
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: boost-filesystem-devel
BuildRequires: libgtest-devel
BuildRequires: libelf-devel
BuildRequires: elcore50-devel
BuildRequires: python3-module-setuptools

%if_with elcore50_toolchain
BuildRequires: elcore50-toolchain-clang14

%define _elcore50_prefix %{?dsp_prefix}%{?!dsp_prefix:%_datadir/elcore50}
%define _ec_prefix %{?ec_prefix}%{?!ec_prefix:/opt/elcore50-toolchain-clang14}
%endif

Source: %name-%release_stamp.tar.gz
Vendor: RnD Center "ELVEES", JSC

%description
ElcoreCL libraries and utils for DSP.


%package devel
Summary: Development files for ElcoreCL
Group: Development/Other
BuildArch: noarch
Requires: elcorecl
Requires: elcore50-devel

%description devel


%if_with elcore50_toolchain

%package -n elcore50-dsp-kernels
Summary: DSP kernels for ElcoreCL
Group: Development/Other
BuildArch: noarch
Requires: elcorecl

%description -n elcore50-dsp-kernels

%endif

%package -n python3-module-elcorecl
Summary: Python modules
Group: Development/Other
BuildArch: noarch

%description -n python3-module-elcorecl


%prep
%setup -n %name

%build
%cmake -DBUILD_FOR_MCOM03=ON \
    -DBUILD_SHARED_LIBS=ON \
%if_with elcore50_toolchain
    -DELCORE_CMAKE_TOOLCHAIN_FILE=%_ec_prefix/share/cmake/elcore50_toolchain.cmake
%else
    -DBUILD_KERNELS=OFF
%endif
%cmake_build
%python3_build_debug

%install
%cmake_install
%python3_install

%files
%_bindir/elcorecl-run
%_bindir/elcorectl
%_bindir/paralleltest
%_bindir/test-elcore
%_bindir/test-elcorecl
%_libdir/lib*.so

%files devel
%_includedir/*
%_libdir/cmake

%if_with elcore50_toolchain
%_elcore50_prefix/runtime


%add_verify_elf_skiplist %_elcore50_prefix/*
%add_findreq_skiplist %_elcore50_prefix/*
%add_findprov_skiplist %_elcore50_prefix/*

%files -n elcore50-dsp-kernels
%_elcore50_prefix/kernel
%_elcore50_prefix/elf-buf-sum.elf
%_elcore50_prefix/pram-buf-sum.elf
%_elcore50_prefix/elcore-common-test

%endif

%files -n python3-module-elcorecl
%doc *.rst
%_bindir/elcore-prof.py
%_bindir/ftrace-parser
%python3_sitelibdir_noarch/*
